/*
 * Copyright (c) 2010-2011, The MiCode Open Source Community (www.micode.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.micode.notes.widget;

import android.appwidget.AppWidgetManager;
import android.content.Context;

import net.micode.notes.R;
import net.micode.notes.data.Notes;
import net.micode.notes.tool.ResourceParser;


public class NoteWidgetProvider_4x extends NoteWidgetProvider {
    @Override
    public void onUpdate(Context context, AppWidgetManager appWidgetManager, int[] appWidgetIds) {
        super.update(context, appWidgetManager, appWidgetIds);
    }//NoteWidgetProvider_4x是一个继承自NoteWidgetProvider的小部件提供者，用于显示4x大小的便签小部件。
    //调用父类的update方法，更新小部件UI界面

    protected int getLayoutId() {
        return R.layout.widget_4x;
    }//获取4x大小便签小部件布局资源ID，由子类具体实现

    @Override
    protected int getBgResourceId(int bgId) {
        return ResourceParser.WidgetBgResources.getWidget4xBgResource(bgId);
    }//获取4x大小便签小部件背景资源ID，由子类具体实现。

    @Override
    protected int getWidgetType() {
        return Notes.TYPE_WIDGET_4X;
    }//获取小部件类型，由子类具体实现，返回值为Notes.TYPE_WIDGET_4X
}
